{% extends "layout.html" %}

{% block content %}
    <section class="container">
        <div class="row mt-5">
            <article class="col-xs-12 col-sm-4">
                <div class="card" style="width: 18rem;">
                    <img class="card-img-top" src="{{ building.image.url }}" alt="{{ building.title }}">

                    <div class="card-body">
                        <h5 class="card-title">{{ building.title }}</h5>
                        <p class="card-text">{{ building.description }}</p>
                    </div>
                </div>
            </article>

            <article class="col-xs-12 col-md-8">
                <h2>Available dates</h2>

                {% if reservationDates|length >= 1 %}
                    <form action="{% url 'building.reservate' id=building.id %}" method="POST">
                        <div class="form-group">
                            <label for="">Select dates</label>

                            <select class="form-control" name="reservation_dates" id="reservation_dates" multiple="multiple">
                                {% for reservationDate in reservationDates %}
                                    <option value="{{ reservationDate.id }}">Date {{ reservationDate.reservation_at }}</option>
                                {% endfor %}
                            </select>
                        </div>

                        {% csrf_token %}

                        <button type="submit" class="btn btn-primary mt-4">Reservate!</button>
                    </form>
                {% else %}
                    <div class="alert alert-danger" role="alert">
                        No dates availables
                    </div>
                {% endif %}
            </article>
        </div>
    </section>
{% endblock %}